Bug 235430 - graphics/libdrm: update to 2.4.98
Summary: graphics/libdrm: update to 2.4.98
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 mailing list
URL: https://gitlab.freedesktop.org/mesa/d...
Keywords:
Depends on:
Blocks: 235570
  Show dependency treegraph
 
Reported: 2019-02-02 17:30 UTC by Greg V
Modified: 2019-06-30 17:33 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments
libdrm.patch (1.35 KB, patch)
2019-02-02 17:30 UTC, Greg V
no flags Details | Diff
v2 (2.86 KB, patch)
2019-04-20 10:13 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2019-02-02 17:30:00 UTC
Created attachment 201643 [details]
libdrm.patch

Required by mesa 19.0.0-rc1 (and master). Tested on amdgpu with mesa master.
Comment 1 Jan Beich freebsd_committer 2019-04-20 10:13:48 UTC
Created attachment 203821 [details]
v2
Comment 2 commit-hook freebsd_committer 2019-06-30 17:32:37 UTC
A commit references this bug:

Author: zeising
Date: Sun Jun 30 17:31:50 UTC 2019
New revision: 505441
URL: https://svnweb.freebsd.org/changeset/ports/505441

Log:
  graphics/libdrm: Update to 2.4.98

  Update graphics/libdrm to 2.4.98 [1]
  Change to use the meson build system instead of autotools. [2]

  PR:		235430 [1], 237411 [2]
  Submitted by:	Greg V [1], jbiech [2]

Changes:
  head/graphics/libdrm/Makefile
  head/graphics/libdrm/distinfo
  head/graphics/libdrm/files/patch-meson.build
  head/graphics/libdrm/files/patch-xf86drm.c
Comment 3 Niclas Zeising freebsd_committer 2019-06-30 17:33:25 UTC
Committed, thanks!